Bug 168656 - patches for sysutils/rubygem-chef
patches for sysutils/rubygem-chef
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 09:30 UTC by mitsuruy
Modified: 2014-04-16 14:48 UTC (History)
0 users

See Also:


Attachments
file.diff (27.79 KB, patch)
2012-06-04 09:30 UTC, mitsuruy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mitsuruy 2012-06-04 09:30:12 UTC
patches for sysutils/rubygem-chef include

- install man pages
- fix implanted path "/etc"
- new package provider using pkg_upgrade in sysutils/bsdadminscripts
  and OPTION to use it as the default package provider
- use pidfile defined in the configfile
- fix a bug in locking pidfile which allows multiple chef-clients run
- Chef::Handler::ErrorReport is disabled: CHEF-2694
- use "onestatus" instead of "status"

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-06-04 13:44:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-06-04 13:44:31 UTC
Maintainer of sysutils/rubygem-chef,

Please note that PR ports/168656 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/168656

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-06-04 13:44:32 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Steve Wills freebsd_committer 2012-06-05 21:02:56 UTC
Responsible Changed
From-To: ruby->swills

I'll take it.
Comment 5 renchap 2012-06-08 20:05:06 UTC
Hi Mitsuru,

Thanks for your PR.
Did you created and submitted your patches upstream ? I would prefer
them to be in the Chef source code, to avoid maintening them in the
port tree, and handling their evolution at each new Chef version.

Here is the procedure :
http://wiki.opscode.com/display/chef/How+to+Contribute

A quick reviews of your changes :
> install man pages
Thanks for this one, it is welcomed to the port.

> fix implanted path "/etc"
I agree that we should fix this, but I am not sure your way is the best
way on the long term. I will speak with Chef devs to check if they have
a better idea (maybe allow both paths, if they exists ?)

> new package provider using pkg_upgrade in sysutils/bsdadminscripts
> and OPTION to use it as the default package provider
Your pkg_upgrade provider is a good idea, and I am sure it will be
welcomed upstream

> use pidfile defined in the configfile
Will fix it on the port ASAP

> fix a bug in locking pidfile which allows multiple chef-clients run
You should send your patch upstream, should be integrated quickly

> Chef::Handler::ErrorReport is disabled: CHEF-2694
I dont want to change the behaviour from upstream for all users of the
port, because some people might use the failed-run-data.json. IMO this
should also be fixed upstream

> use "onestatus" instead of "status"
Nice catch. But you should submit a patch upstream for this one too.

If you dont want/dont have time to submit your patches, mail me and I
will at least do it for the critical bugs, if you want.

Regards,

Renaud

Le Mon, 4 Jun 2012 12:44:31 UT,
Edwin Groothuis <edwin@FreeBSD.org> a =C3=A9crit :

> Maintainer of sysutils/rubygem-chef,
>=20
> Please note that PR ports/168656 has just been submitted.
>=20
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>=20
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/168656
>=20
Comment 6 mitsuruy 2012-06-19 10:04:58 UTC
Hi Renaud,

>> new package provider using pkg_upgrade in sysutils/bsdadminscripts
>> and OPTION to use it as the default package provider
> Your pkg_upgrade provider is a good idea, and I am sure it will be
> welcomed upstream
It has already been sent for months. see CHEF-2810.

>> fix a bug in locking pidfile which allows multiple chef-clients run
> You should send your patch upstream, should be integrated quickly
>
>> use "onestatus" instead of "status"
> Nice catch. But you should submit a patch upstream for this one too.
I have sent patches. see CHEF-3209 and CHEF-3211.
I also found a new bug in provider/service/freebsd.rb. see CHEF-3210.

>> Chef::Handler::ErrorReport is disabled: CHEF-2694
> I dont want to change the behaviour from upstream for all users of the
> port, because some people might use the failed-run-data.json. IMO this
> should also be fixed upstream
It may not suitable to be a global solution. I maintain it in our local repo.

Regards,

-- 
--Mitsuru
Comment 7 jgh freebsd_committer 2013-01-14 05:28:08 UTC
Responsible Changed
From-To: swills->jgh

I'll take it. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=168656
Comment 8 jgh freebsd_committer 2014-01-22 00:42:41 UTC
State Changed
From-To: closed->open

closed in error
Comment 9 Steve Wills freebsd_committer 2014-03-12 13:46:39 UTC
Responsible Changed
From-To: jgh->swills

I'll take it.
Comment 10 Steve Wills freebsd_committer 2014-04-16 14:48:30 UTC
State Changed
From-To: open->closed

Closing, all the issues in this PR have been resolved by later updates, 
I think. Please let me know if I'm mistaken. Thanks!